## zyn 1+git.20100609+dfsg0

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

# TODO: check these flags and how to add them to waf
# LIBRARIES = -DPIC -Wall
# CFLAGS := -g -fPIC -DPIC -Wall -Werror

# the following two variables are used by the target "waf dist"
VERSION='2'
APPNAME='zyn'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

def set_options(opt):
    opt.parser.remove_option('--prefix') # prefix as commonly used concept has no use here, so we remove it to not add confusion
    opt.tool_options('compiler_cc')
    opt.tool_options('compiler_cxx')
    opt.tool_options('lv2plugin', tooldir='.')

def configure(conf):
    conf.check_tool('compiler_cc')
    conf.check_tool('compiler_cxx')
    conf.check_tool('lv2plugin', tooldir='.')

    conf.check_pkg('fftw3', mandatory=True)
    conf.check_pkg('lv2core', mandatory=True)
    conf.check_pkg('lv2dynparamplugin1', mandatory=True)

def build(bld):
    zynadd = bld.create_obj('lv2plugin')
    zynadd.uselib = 'LV2DYNPARAMPLUGIN1 LV2CORE FFTW3'
    zynadd.target = 'zynadd'
    zynadd.ttl = ['zynadd.ttl', 'manifest.ttl']
    zynadd.source = [
        'lv2plugin.c',
        'zynadd.c',
        'util.c',
        'zynadd_dynparam.c',
        'log.c',
        'fft.c',
        'zynadd_dynparam_value_changed_callbacks.c',
        'zynadd_dynparam_forest_map.c',
        'zynadd_dynparam_forest_map_top.c',
        'zynadd_dynparam_forest_map_voice.c',
        'portamento.c',
        'oscillator.c',
        'oscillator_access.c',
        'filter_sv.c',
        'addsynth.cpp',
        'addnote.cpp',
        'lfo.cpp',
        'filter_parameters.cpp',
        'envelope_parameters.cpp',
        'filter.cpp',
        'analog_filter.cpp',
        'formant_filter.cpp',
        'envelope.cpp',
        'sv_filter.cpp',
        'resonance.cpp',
        'addsynth_component_amp_globals.cpp',
        'addsynth_component_amp_envelope.cpp',
        'addsynth_component_lfo.cpp',
        'addsynth_component_filter_globals.cpp',
        'addsynth_component_filter_analog.cpp',
        'addsynth_component_filter_formant.cpp',
        'addsynth_component_filter_sv.cpp',
        'addsynth_component_filter_envelope.cpp',
        'addsynth_component_frequency_globals.cpp',
        'addsynth_component_frequency_envelope.cpp',
        'addsynth_component_voice_globals.cpp']

## zyn 1+git.20100609

=== debian/changelog ===
zyn (1+git.20100609-2) unstable; urgency=low

  * Add Vcs tags.
  * Update Standards-Version to 3.9.0.
  * debian/copyright: Remove reference to /usr/share/common-licenses/BSD
    file to make lintian happy.
  * The license of addsynth_voice.h is clear enough, no need to repack
    the tarball in future.

 -- Alessio Treglia <alessio@debian.org>  Wed, 07 Jul 2010 00:38:51 +0200

zyn (1+git.20100609-1) unstable; urgency=low

  * Initial release (Closes: #585135).

 -- Alessio Treglia <alessio@debian.org>  Wed, 09 Jun 2010 15:10:54 +0200

=== debian/control ===
Source: zyn
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Filipe Coelho <falktx@gmail.com>
Build-Depends: debhelper (>= 7.0.50~),
 python,
 pkg-config,
 libfftw3-dev,
 liblv2dynparam1-dev,
 lv2core
Standards-Version: 3.9.0
Homepage: http://home.gna.org/zyn/
Vcs-Git: git://git.debian.org/pkg-multimedia/zyn.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/zyn.git

Package: zynadd
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Recommends: zynjacku
Description: ZynAddSubFX engines converted to LV2 plugin format
 The zyn project main goal is to extract synth engines from ZynAddSubFX
 and pack them in LV2 plugin format. Resulting plugins are heavily
 based on work made by Nasca Octavian Paul. If you like the amazing
 sounds these plugins generate you should thank Paul for this.

=== debian/rules ===
#!/usr/bin/make -f

# Path to the debian directory

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --lv2-dir=$(CURDIR)/debian/zynadd/usr/lib/lv2

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean

override_dh_auto_install:
	$(WAF) install

## zyn 1+git.20100609+dfsg0

=== debian/changelog ===
zyn (1+git.20100609+dfsg0-4) unstable; urgency=medium

  * Add myself as uploader.
  * Bump Standards.
  * Set dh/compat 10.
  * Fix VCS fields.
  * Update copyright file.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 08 Nov 2016 08:44:33 +0100

zyn (1+git.20100609+dfsg0-3) unstable; urgency=medium

  * Team upload.
  * Remove myself from the Uploaders field.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Nov 2016 15:50:24 +0000

zyn (1+git.20100609+dfsg0-2) unstable; urgency=low

  * Replace lv2core with lv2-dev in Build-Depends.
  * Update debian/copyright to machine-readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 17 May 2012 00:31:17 +0200

zyn (1+git.20100609+dfsg0-1) unstable; urgency=low

  * Get rid of the waf blob (Closes: #654513).
  * Adjust clean target to work properly with unpacked waf.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Jan 2012 20:40:23 +0100

=== debian/control ===
Source: zyn
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Filipe Coelho <falktx@gmail.com>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 10~),
 libfftw3-dev,
 liblv2dynparam1-dev,
 lv2-dev,
 pkg-config,
 python
Standards-Version: 3.9.8
Homepage: http://home.gna.org/zyn/
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/zyn.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/zyn.git

Package: zynadd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 zynjacku
Description: ZynAddSubFX engines converted to LV2 plugin format
 The zyn project main goal is to extract synth engines from ZynAddSubFX
 and pack them in LV2 plugin format. Resulting plugins are heavily
 based on work made by Nasca Octavian Paul. If you like the amazing
 sounds these plugins generate you should thank Paul for this.

=== debian/rules ===
#!/usr/bin/make -f

# Path to the debian directory

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# LINKFLAGS =+ $(LDFLAGS)

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	LINKFLAGS="$(LDFLAGS)" $(WAF) configure --lv2-dir=$(CURDIR)/debian/zynadd/usr/lib/lv2

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg$// \
http://download.gna.org/zyn/zyn-(.*)\.tar\.bz2
